<?php

namespace App\Http\Middleware;

use Closure;
use Tymon\JWTAuth\Exceptions\JWTException;
use Tymon\JWTAuth\Exceptions\TokenExpiredException;
use Tymon\JWTAuth\Facades\JWTAuth;
use Tymon\JWTAuth\Http\Middleware\BaseMiddleware;

class JwtAuthMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request $request
     * @param  \Closure $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {

        try {
            $data = JWTAuth::decode(JWTAuth::getToken());
        } catch (TokenExpiredException $e) {
            $error = [
                'message' => 'Token is Expired',
                'code' => 401,
            ];
            return response()->json($error);
        } catch (TokenInvalidException $e) {
            $error = [
                'message' => $e->getMessage(),
                'code' => 401,
            ];
            return response()->json($error);
        } catch (JWTException $e) {
            $error = [
                'message' => $e->getMessage(),
                'code' => 401,
            ];
            return response()->json($error);
        }
        return $next($request);
    }
}
